package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.PortalNews;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalNewsRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface PortalNewsService extends IService<PortalNews> {

    void add(PortalNewsRequest portalNewsRequest);

    void del(PortalNewsRequest portalNewsRequest);

    void batchDelete(PortalNewsRequest portalNewsRequest);

    void edit(PortalNewsRequest portalNewsRequest);

    PortalNews detail(PortalNewsRequest portalNewsRequest);

    PageResult<PortalNews> findPage(PortalNewsRequest portalNewsRequest);

    Map<Long, String> getNewsNameMap(List<Long> newsIdList);

    List<PortalNews> getSelect(PortalNewsRequest portalNewsRequest);

}
